Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000015FirmwareHardware Interfacepublic2008-10-31 09:232014-02-18 23:05
ReporterFred 
Assigned ToFred 
PriorityhighSeverityblockReproducibilityN/A
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version0.0.16-FlashGordon 
Target Version0.2.1Fixed in Version 
Summary0000015: Update The Pin Out Document
DescriptionAs I see it this task is to :

* Research and check the pin states during run, reset and bootload
* Update the master ODS pinout spread sheet document with this information
* Re-read the pin polarity thread and determine the best approach to ensuring safe pin states under all conditions
* Create a document detailing the specifications that a schem/pcb design must adhere to in order to be deemed FreeEMS compatible (IE, safe for general use by noobs and 100% compliant with the firmware behaviour) - Dave and Jared and others should collaborate on this.
* Publish all of this information to aid Jared and Dave in making progress on their hardware designs in a future proof way

Once I have this completed Dave will probably need to generate a PDF version of the ODS document for Jared. Alternatively Jared could just install OpenOffice.org on his machine :-p ;-)

Note, it is acceptable for private/specific purpose board designs to deviate from the standard, but main stream designs should adhere to it as a good example for others to follow.
TagsNo tags attached.
FirmwareVersion
Issue TypeTask
Risk of Breakagevery low
Attached Files

- Relationships
parent of 0000190assignedFred Select Permanent Pins For Core Functions 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0000016)
Fred (administrator)
2008-10-31 09:26

Dave and Jared are waiting on this and require it to make further progress in a meaningful and useful way. I should complete this at the earliest opportunity.
User avatar (0000018)
Fred (administrator)
2008-10-31 09:40

Also to be updated is the hardware firmware interface document. This is part of the same task in effect so it can just be part of this one.
User avatar (0000084)
Fred (administrator)
2008-11-16 23:01

Worked on this tonight, and will work on it again tomorrow and so on until it is done :-)
User avatar (0000184)
Fred (administrator)
2011-06-15 10:11

For 0.2.0 I would like to update the document to reflect the current state with links where appropriate and commentary on fuel/ign both on PT2-7 with no PORTB or PORTA functionality in place. This task will not be closed until the original work has been done, though. 0.2.0 target can be removed once the document reflects the state in the now.
User avatar (0000236)
Fred (administrator)
2011-08-18 09:46

This issue has received some significant work recently, but in the child issue 0000190


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker